# Interface RainyWeatherJson

Object containing information for changing the weather conditions in the scene to rainy.

See https://developers.arcgis.com/web-scene-specification/objects/rainyWeather/.

interface RainyWeatherJson {
cloudCover?: number;
precipitation?: number;
type: "rainy";
}

#####
Index

### Properties

cloudCover?
precipitation?
type

##
Properties

### `Optional` cloudCover

cloudCover?: number

Specifies the amount of cloud cover in the sky.

### `Optional` precipitation

precipitation?: number

Specifies the amount of snowfall in the scene.

### type

type

The type of weather.